Bug 1022433 - Wrong description of delete vnic profile's permission
Wrong description of delete vnic profile's permission
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
low Severity low
: ---
: 3.3.0
Assigned To: Moti Asayag
Martin Pavlik
network
:
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-23 05:34 EDT by Moti Asayag
Modified: 2016-02-10 14:51 EST (History)
7 users (show)

See Also:
Fixed In Version: is23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:15:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20431 None None None Never
oVirt gerrit 20775 None None None Never

  None (edit)
Description Moti Asayag 2013-10-23 05:34:26 EDT
Description of problem:

The description of the vnic profile's permissions action isn't correct:

- name: /api/vnicprofiles/{vnicprofiles:id}/permissions/{permission:id}|rel=delete
  description: get details of the specified permission on the virtual network interface card profile in the system
 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Open the rsdl and search for '/api/vnicprofiles/{vnicprofiles:id}/permissions/{permission:id}|rel=delete'

Actual results:

description: get details of the specified permission on the virtual network interface card profile in the system

Expected results:

description: delete the specified permission for the virtual network interface card profile

Additional info:
Comment 1 Martin Pavlik 2013-11-14 04:54:57 EST
fixed in  Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.33.beta1.el6ev 

<link href="/api/vnicprofiles/{vnicprofile:id}/permissions/{permission:id}" rel="delete"><description>delete the specified permission for the virtual network interface card profile</description><request><http_method>DELETE</http_method>
Comment 2 Itamar Heim 2014-01-21 17:15:58 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:22:54 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.